linux-lts-trusty: 3.13.0-77.121~precise1 -proposed tracker

Bug #1536285 reported by Brad Figg on 2016-01-20
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Po-Hsu Lin
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux-lts-trusty (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-77.121~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 20. January 2016 17:20 UTC
kernel-stable-master-bug:1535880
kernel-stable-Prepare-package-end:Thursday, 21. January 2016 01:02 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 21. January 2016 01:02 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 21. January 2016 21:02 UTC
kernel-stable-Verification-testing-start:Friday, 22. January 2016 19:25 UTC
kernel-stable-Certification-testing-start:Friday, 22. January 2016 19:25 UTC
kernel-stable-Security-signoff-start:Friday, 22. January 2016 19:25 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 22. January 2016 19:25 UTC
kernel-stable-Security-signoff-end:Saturday, 23. January 2016 00:01 UTC
kernel-stable-Verification-testing-end:Monday, 01. February 2016 14:44 UTC
kernel-stable-Promote-to-updates-start:Monday, 01. February 2016 15:14 UTC
kernel-stable-Certification-testing-end:Monday, 01. February 2016 15:14 UTC
kernel-stable-Regression-testing-end:Monday, 01. February 2016 15:14 UTC
kernel-stable-Promote-to-updates-end:Monday, 01. February 2016 17:38 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 01. February 2016 19:03 UTC

CVE References

Brad Figg (brad-figg) on 2016-01-20
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-precise
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu Precise):
importance: Undecided → Medium
Luis Henriques (henrix) on 2016-01-20
Changed in linux-lts-trusty (Ubuntu):
status: New → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

description: updated

 linux-lts-trusty | 3.13.0-77.121~precise1 | precise-proposed | source
 linux-meta-lts-trusty | 3.13.0.77.69 | precise-proposed | source
 linux-signed-lts-trusty | 3.13.0-77.121~precise1 | precise-proposed | source

Brad Figg (brad-figg) on 2016-01-21
description: updated
Brad Figg (brad-figg) on 2016-01-22
description: updated
Brad Figg (brad-figg) on 2016-01-23
description: updated
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have begun testing this -proposed kernel.

Po-Hsu Lin (cypressyew) wrote :

SRU testing process is now blocked with bug 1539634, a regression to the libnl package, which is causing network-manager fail to start. Similar report could be found in bug 1540014 as well.

Brad Figg (brad-figg) on 2016-02-01
description: updated
Brad Figg (brad-figg) on 2016-02-01
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2016-02-01
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (14.7 KiB)

This bug was fixed in the package linux-lts-trusty - 3.13.0-77.121~precise1

---------------
linux-lts-trusty (3.13.0-77.121~precise1) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1536285
  * Merged back Ubuntu-3.13.0-75.119

linux (3.13.0-76.120) trusty; urgency=low

  [ Upstream Kernel Changes ]

  * KEYS: Fix keyring ref leak in join_session_keyring()
    - LP: #1534887
    - CVE-2016-0728

linux (3.13.0-75.119) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1532781

  [ Kamal Mostafa ]

  * Revert "SAUCE: disable stack-protector for ARM compressed bootloader"
  * [Config] updateconfigs: select CC_STACKPROTECTOR_REGULAR

  [ Upstream Kernel Changes ]

  * Revert "dm mpath: fix stalls when handling invalid ioctls"
    - LP: #1523661
  * Revert "xhci: don't finish a TD if we get a short transfer event mid
    TD"
    - LP: #1529077
  * x86/setup: Extend low identity map to cover whole kernel range
    - LP: #1523661
  * x86/setup: Fix low identity map for >= 2GB kernel range
    - LP: #1523661
  * drm/radeon: add quirk for MSI R7 370
    - LP: #1523661
  * drm/radeon: add quirk for ASUS R7 370
    - LP: #1523661
  * drm/radeon: fix quirk for MSI R7 370 Armor 2X
    - LP: #1523661
  * irda: precedence bug in irlmp_seq_hb_idx()
    - LP: #1523661
  * macvtap: unbreak receiving of gro skb with frag list
    - LP: #1523661
  * RDS-TCP: Recover correctly from pskb_pull()/pksb_trim() failure in
    rds_tcp_data_recv
    - LP: #1523661
  * stmmac: Correctly report PTP capabilities.
    - LP: #1523661
  * ipmr: fix possible race resulting from improper usage of
    IP_INC_STATS_BH() in preemptible context.
    - LP: #1523661
  * qmi_wwan: fix entry for HP lt4112 LTE/HSPA+ Gobi 4G Module
    - LP: #1523661
  * net: avoid NULL deref in inet_ctl_sock_destroy()
    - LP: #1523661
  * net: fix a race in dst_release()
    - LP: #1523661
  * HID: core: Avoid uninitialized buffer access
    - LP: #1523661
  * [media] v4l2-compat-ioctl32: fix alignment for ARM64
    - LP: #1523661
  * net: mvneta: Fix CPU_MAP registers initialisation
    - LP: #1523661
  * mtd: mtdpart: fix add_mtd_partitions error path
    - LP: #1523661
  * fs/proc, core/debug: Don't expose absolute kernel addresses via wchan
    - LP: #1523661
  * ARM: 8426/1: dma-mapping: add missing range check in dma_mmap()
    - LP: #1523661
  * ARM: 8427/1: dma-mapping: add support for offset parameter in
    dma_mmap()
    - LP: #1523661
  * spi: ti-qspi: Fix data corruption seen on r/w stress test
    - LP: #1523661
  * lockd: create NSM handles per net namespace
    - LP: #1523661
  * ARM: common: edma: Fix channel parameter for irq callbacks
    - LP: #1523661
  * iommu/vt-d: Fix error in detect ATS capability
    - LP: #1523661
  * iommu/vt-d: Fix ATSR handling for Root-Complex integrated endpoints
    - LP: #1523661
  * ext4: fix potential use after free in __ext4_journal_stop
    - LP: #1523661
  * fix calculation of meta_bg descriptor backups
    - LP: #1523661
  * ext4, jbd2: ensure entering into panic after recording an error in
    superblock
    - LP: #1523661
  * vTPM: fix memory allocation flag for rtce buffer at kernel ...

Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Fix Released
status: New → Fix Released

 linux-lts-trusty | 3.13.0-77.121~precise1 | precise-updates | source
 linux-meta-lts-trusty | 3.13.0.77.69 | precise-updates | source
 linux-signed-lts-trusty | 3.13.0-77.121~precise1 | precise-updates | source

Brad Figg (brad-figg) on 2016-02-01
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers